{
  "models": [
    {
      "name": "Round",
      "synchronizable": true,
      "sideStorable": true,
      "observable": true,
      "relationshipNames": [],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "tournament",
          "type": "String",
          "foreignKey": "Tournament"
        },
        {
          "name": "index",
          "type": "Int"
        },
        {
          "name": "parent",
          "type": "String",
          "optional": true
        },
        {
          "name": "format",
          "type": "MatchFormat",
          "optional": true,
          "private": true
        },
        {
          "name": "startDate",
          "type": "Date",
          "optional": true
        },
        {
          "name": "groupStageLoserBracket",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "loserBracketMode",
          "type": "LoserBracketMode",
          "defaultValue": ".automatic"
        }
      ]
    }
  ]
}
